import 'package:flutter/material.dart';

abstract class AppColors {
  static const Color bgColorLight = Color(0xFFDDE6DF);
  static const Color bgColorDark = Color(0xFF172D38);
  static const Color blackBlack = Color(0xFF1A1A1A);
  static const Color blackGray = Color(0xFF737373);
  static const Color blackCaptionText = Color(0xFFA8A8A8);
  static const Color blackCaptionGreen = Color(0xFF84A48B);
  static const Color blackDarkBgBody = Color(0xFF82939B);
  static const Color primaryYellow = Color(0xFFFFF3A8);
  static const Color primaryBlue = Color(0xFF002AE8);
  static const Color primaryMint = Color(0xFFDFEDE3);
  static const Color grayWhite = Color(0xFFFFFFFF);
  static const Color grayStroke = Color(0xFFA8BDAD);
  static const Color grayDisable = Color(0xFFC2C9C3);
  static const Color grayPrimaryFrame = Color(0xFFF9FAF9);
  static const Color graySecondaryFrame = Color(0xFFF0F4F1);
  static const Color grayTintStroke = Color(0xFFE1E8E2);
  static const Color statusError = Color(0xFFF45E5E);
  static const Color statusSuccess = Color(0xFF14A858);
  static const Color statusWarning = Color(0xFFED7021);
  static const Color statusWarningBody = Color(0xFF906F07);
  static const Color statusRate = Color(0xFFF7CE39);
  static const Color tintGreen = Color(0xFFE7F8EF);
  static const Color tintRed = Color(0xFFFEF2F2);
  static const Color tintYellow = Color(0xFFFEF7E0);
  static const Color tintBlue = Color(0xFFF0F3FF);
  static const Color tintOrange = Color(0xFFFAEBE3);
  static const Color tintDarkGreen = Color(0xFFC8EFDB);
  static const Color tintDarkBlue = Color(0xFF7A88BE);
  static const Color tintGray = Color(0xFFEBEBEB);
  static const Color tintDarkRed = Color(0xFFFDB9B9);
  static const Color navBarDisabled = Color(0xFF5C7581);
  static const Color navBarActive = Color(0xFFFFFFFF);
  static const Color darkBgPrimaryFrame = Color(0xFF3D5662);
  static const Color darkBgBgElements = Color(0xFF1B3441);
  static const Color darkBgActiveButtonState = Color(0xFF25495A);
  static const Color darkBgStroke = Color(0xFF4E6E7E);
  static const Color darkBgInactive = Color(0xFF7A9AA9);
  static const Color darkBgActiveAccentButton = Color(0xFFEEE39F);
  static const Color textPrimaryInverted = Color(0xFFAAC0CB);
}

class KWTheme {
  static ThemeData get lightTheme {
    return ThemeData(
      useMaterial3: true,
      scaffoldBackgroundColor: AppColors.bgColorLight,
      progressIndicatorTheme: const ProgressIndicatorThemeData(
        color: AppColors.bgColorDark,
      ),
      fontFamily: 'Poppins',
      //unused
      appBarTheme: const AppBarTheme(
        backgroundColor: AppColors.bgColorLight,
      ),
      colorScheme: ColorScheme.fromSwatch().copyWith(
        secondary: AppColors.statusSuccess,
      ),
    );
  }
}
